> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sequencehq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all seat events

> Retrieve a paginated list of all your submitted seat events.



## OpenAPI

````yaml usage.2024-07-30.product.live GET /seat-events
openapi: 3.0.0
info:
  title: Usage
  description: Manage usage events and metrics
  version: '0.1'
servers:
  - url: https://dev.seqhq.io/api
    description: DEV
  - url: https://sandbox.sequencehq.com/api
    description: SANDBOX
  - url: https://eu.sequencehq.com/api
    description: PRODUCTION
security: []
tags: []
paths:
  /seat-events:
    servers: []
    parameters: []
    get:
      tags:
        - Seat Events
      summary: List all seat events
      description: Retrieve a paginated list of all your submitted seat events.
      operationId: getSeatEvents
      parameters:
        - name: Authorization
          in: header
          description: >-
            Your [API credentials](/reference/authentication). Eg. `Basic
            {credentials}`.
          required: true
          schema:
            type: string
        - name: before
          in: query
          description: >-
            Pagination cursor. To page through items, omit this parameter to
            retrieve the first page, and then successively use the value you get
            from `pagination.after` or `pagination.before` to retrieve each
            page.
          required: false
          schema:
            type: string
        - name: after
          in: query
          description: >-
            Pagination cursor. To page through items, omit this parameter to
            retrieve the first page, and then successively use the value you get
            from `pagination.after` or `pagination.before` to retrieve each
            page.
          required: false
          schema:
            type: string
        - name: limit
          in: query
          description: >-
            Maximum number of objects to return per-page. Must be between 1 and
            100 (inclusive).
          required: false
          schema:
            type: integer
        - name: sortOrder
          in: query
          description: >-
            Sort order. Default: DESC (descending, most often used for reverse
            chronological sorting).
          required: false
          schema:
            type: string
        - name: customerAlias
          in: query
          description: Filter event by customer alias
          required: false
          schema:
            type: string
        - name: customerIds
          in: query
          description: >-
            Filter events by customer IDs. Resolves to all of each customer's
            aliases (and the customer ID itself). Comma-separated, max 25 IDs.
          required: false
          schema:
            type: string
        - name: seatType
          in: query
          description: Filter events by seat type
          required: false
          schema:
            type: string
        - name: customerEventId
          in: query
          description: Filter events by customer event ID
          required: false
          schema:
            type: string
        - name: eventTimestampBefore
          in: query
          description: Filter events by timestamp before
          required: false
          schema:
            type: string
        - name: eventTimestampAfter
          in: query
          description: Filter events by timestamp after
          required: false
          schema:
            type: string
        - name: sortBy
          in: query
          description: 'Sort column. Default: creation time.'
          required: false
          schema:
            type: string
        - name: Sequence-Version
          in: header
          description: Use this header to select an API version
          required: false
          schema:
            type: string
            enum:
              - '2024-07-30'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ListSeatEventsEndpointEndpointResponseModel
                example:
                  items:
                    - id: 0184421a-8202-70ea-a729-30308a40bbf7
                      customerEventId: event-id-H4twuTWpYx1rkd8OMTki2hTUcZ
                      customerAlias: customer-id-2H4u5BBwBWsS5V2sroRFqJfTXpW
                      seatType: admin
                      sequenceAccountId: 0184421e-a9cc-711b-af93-bf0511d4d833
                      eventTimestamp: '2022-10-01T00:00:00Z'
                      total: 1
                  pagination:
                    after: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
                    before: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
                    totalResultSize: 10
              examples:
                ListSeatEventsEndpointEndpointResponseModel:
                  summary: ''
                  value:
                    items:
                      - id: 0184421a-8202-70ea-a729-30308a40bbf7
                        customerEventId: event-id-H4twuTWpYx1rkd8OMTki2hTUcZ
                        customerAlias: customer-id-2H4u5BBwBWsS5V2sroRFqJfTXpW
                        seatType: admin
                        sequenceAccountId: 0184421e-a9cc-711b-af93-bf0511d4d833
                        eventTimestamp: '2022-10-01T00:00:00Z'
                        total: 1
                    pagination:
                      after: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
                      before: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
                      totalResultSize: 10
        '400':
          description: Bad Request
          content: {}
        '401':
          description: Unauthorized
          content: {}
        '500':
          description: Internal Server Error
          content: {}
components:
  schemas:
    ListSeatEventsEndpointEndpointResponseModel:
      required:
        - items
        - pagination
      type: object
      example:
        items:
          - id: 0184421a-8202-70ea-a729-30308a40bbf7
            customerEventId: event-id-H4twuTWpYx1rkd8OMTki2hTUcZ
            customerAlias: customer-id-2H4u5BBwBWsS5V2sroRFqJfTXpW
            seatType: admin
            sequenceAccountId: 0184421e-a9cc-711b-af93-bf0511d4d833
            eventTimestamp: '2022-10-01T00:00:00Z'
            total: 1
        pagination:
          after: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
          before: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
          totalResultSize: 10
      properties:
        items:
          type: array
          description: Seat events
          example:
            - id: 0184421a-8202-70ea-a729-30308a40bbf7
              customerEventId: event-id-H4twuTWpYx1rkd8OMTki2hTUcZ
              customerAlias: customer-id-2H4u5BBwBWsS5V2sroRFqJfTXpW
              seatType: admin
              sequenceAccountId: 0184421e-a9cc-711b-af93-bf0511d4d833
              eventTimestamp: '2022-10-01T00:00:00Z'
              total: 1
          items:
            $ref: '#/components/schemas/SeatEvent'
        pagination:
          $ref: '#/components/schemas/PaginationMeta'
    SeatEvent:
      required:
        - customerAlias
        - customerEventId
        - eventTimestamp
        - id
        - seatType
        - sequenceAccountId
        - total
      type: object
      example:
        id: 0184421a-8202-70ea-a729-30308a40bbf7
        customerEventId: event-id-H4twuTWpYx1rkd8OMTki2hTUcZ
        customerAlias: customer-id-2H4u5BBwBWsS5V2sroRFqJfTXpW
        seatType: admin
        sequenceAccountId: 0184421e-a9cc-711b-af93-bf0511d4d833
        eventTimestamp: '2022-10-01T00:00:00Z'
        total: 1
      properties:
        id:
          type: string
          description: Unique ID for this seat event.
          example: 0184421a-8202-70ea-a729-30308a40bbf7
        customerEventId:
          type: string
          description: >-
            Unique ID provided by you. Another event with the same customer
            event ID will supersede this one. This ID usually corresponds to the
            event ID you use internally.
          example: event-id-H4twuTWpYx1rkd8OMTki2hTUcZ
        customerAlias:
          type: string
          description: >-
            End-customer alias or ID. This is a unique value provided by you and
            is an identifier to your customer who consumed the seats.
          example: customer-id-2H4u5BBwBWsS5V2sroRFqJfTXpW
        seatType:
          type: string
          description: Seat type. This can be referenced from a seat metric.
          example: admin
        sequenceAccountId:
          type: string
          description: Unique Sequence account ID.
          example: 0184421e-a9cc-711b-af93-bf0511d4d833
        eventTimestamp:
          type: string
          description: Event timestamp, in ISO 8601 format.
          example: '2022-10-01T00:00:00Z'
        total:
          type: integer
          description: Total seats consumed for this seat type.
          example: 1
    PaginationMeta:
      type: object
      description: Results pagination
      example:
        after: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
        before: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
        totalResultSize: 10
      properties:
        after:
          type: string
          description: Cursor for the page after this (if it exists)
          example: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
        before:
          type: string
          description: Cursor for the page before this (if it exists)
          example: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
        totalResultSize:
          type: integer
          description: Total number of entries across all pages
          format: int64
          example: 10

````